<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.7 at 2020-03-07 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20200307" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
          
                <div class="xleft">
        <span id="publishDate">Last Published: 2020-03-07</span>
                  &nbsp;| <span id="projectVersion">Version: 1.8-SNAPSHOT</span>
                      </div>
            <div class="xright">      
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
           
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                 
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section">
<h2><a name="PMD_Results"></a>PMD Results</h2>
<p>The following document contains the results of <a class="externalLink" href="https://pmd.github.io">PMD</a> 6.21.0.</p></div>
<div class="section">
<h2><a name="Violations_By_Priority"></a>Violations By Priority</h2>
<div class="section">
<h3><a name="Priority_3"></a>Priority 3</h3>
<div class="section">
<h4><a name="comsampledaoEmployeeDao.java"></a>com/sample/dao/EmployeeDao.java</h4>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'addEmployee': the method is declared in an interface type</td>
<td>9</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listEmployeess': the method is declared in an interface type</td>
<td>11</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getEmployee': the method is declared in an interface type</td>
<td>13</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'deleteEmployee': the method is declared in an interface type</td>
<td>15</td></tr></table></div>
<div class="section">
<h4><a name="comsampledaoImageDao.java"></a>com/sample/dao/ImageDao.java</h4>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'saveImage': the method is declared in an interface type</td>
<td>9</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listImages': the method is declared in an interface type</td>
<td>11</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getImage': the method is declared in an interface type</td>
<td>13</td></tr></table></div>
<div class="section">
<h4><a name="comsampleserviceEmployeeService.java"></a>com/sample/service/EmployeeService.java</h4>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'addEmployee': the method is declared in an interface type</td>
<td>10</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listEmployeess': the method is declared in an interface type</td>
<td>12</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getEmployee': the method is declared in an interface type</td>
<td>14</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'deleteEmployee': the method is declared in an interface type</td>
<td>16</td></tr></table></div>
<div class="section">
<h4><a name="comsampleserviceEmployeeServiceImpl.java"></a>com/sample/service/EmployeeServiceImpl.java</h4>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptytryblock">EmptyTryBlock</a></td>
<td>Avoid empty try blocks</td>
<td>22&#x2013;24</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>24&#x2013;26</td></tr></table></div>
<div class="section">
<h4><a name="comsampleserviceImageService.java"></a>com/sample/service/ImageService.java</h4>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'saveImage': the method is declared in an interface type</td>
<td>10</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listImages': the method is declared in an interface type</td>
<td>12</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getImage': the method is declared in an interface type</td>
<td>14</td></tr></table></div>
<div class="section">
<h4><a name="comsampleserviceImageServiceImpl.java"></a>com/sample/service/ImageServiceImpl.java</h4>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptytryblock">EmptyTryBlock</a></td>
<td>Avoid empty try blocks</td>
<td>25&#x2013;27</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>27&#x2013;29</td></tr></table></div>
<div class="section">
<h4><a name="comsampleservletDownloadServlet.java"></a>com/sample/servlet/DownloadServlet.java</h4>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>83&#x2013;85</td></tr></table></div>
<div class="section">
<h4><a name="comsampleservletFileUploadServlet.java"></a>com/sample/servlet/FileUploadServlet.java</h4>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>85&#x2013;87</td></tr></table></div></div></div>
<div class="section">
<h2><a name="Files"></a>Files</h2>
<div class="section">
<h3><a name="comsampledaoEmployeeDao.java"></a>com/sample/dao/EmployeeDao.java</h3>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'addEmployee': the method is declared in an interface type</td>
<td>3</td>
<td>9</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listEmployeess': the method is declared in an interface type</td>
<td>3</td>
<td>11</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getEmployee': the method is declared in an interface type</td>
<td>3</td>
<td>13</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'deleteEmployee': the method is declared in an interface type</td>
<td>3</td>
<td>15</td></tr></table></div>
<div class="section">
<h3><a name="comsampledaoImageDao.java"></a>com/sample/dao/ImageDao.java</h3>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'saveImage': the method is declared in an interface type</td>
<td>3</td>
<td>9</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listImages': the method is declared in an interface type</td>
<td>3</td>
<td>11</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getImage': the method is declared in an interface type</td>
<td>3</td>
<td>13</td></tr></table></div>
<div class="section">
<h3><a name="comsampleserviceEmployeeService.java"></a>com/sample/service/EmployeeService.java</h3>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'addEmployee': the method is declared in an interface type</td>
<td>3</td>
<td>10</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listEmployeess': the method is declared in an interface type</td>
<td>3</td>
<td>12</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getEmployee': the method is declared in an interface type</td>
<td>3</td>
<td>14</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'deleteEmployee': the method is declared in an interface type</td>
<td>3</td>
<td>16</td></tr></table></div>
<div class="section">
<h3><a name="comsampleserviceEmployeeServiceImpl.java"></a>com/sample/service/EmployeeServiceImpl.java</h3>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptytryblock">EmptyTryBlock</a></td>
<td>Avoid empty try blocks</td>
<td>3</td>
<td>22&#x2013;24</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>3</td>
<td>24&#x2013;26</td></tr></table></div>
<div class="section">
<h3><a name="comsampleserviceImageService.java"></a>com/sample/service/ImageService.java</h3>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'saveImage': the method is declared in an interface type</td>
<td>3</td>
<td>10</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'listImages': the method is declared in an interface type</td>
<td>3</td>
<td>12</td></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#unnecessarymodifier">UnnecessaryModifier</a></td>
<td>Unnecessary modifier 'public' on method 'getImage': the method is declared in an interface type</td>
<td>3</td>
<td>14</td></tr></table></div>
<div class="section">
<h3><a name="comsampleserviceImageServiceImpl.java"></a>com/sample/service/ImageServiceImpl.java</h3>
<table border="0" class="bodyTable">
<tr class="b">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="a">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptytryblock">EmptyTryBlock</a></td>
<td>Avoid empty try blocks</td>
<td>3</td>
<td>25&#x2013;27</td></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>3</td>
<td>27&#x2013;29</td></tr></table></div>
<div class="section">
<h3><a name="comsampleservletDownloadServlet.java"></a>com/sample/servlet/DownloadServlet.java</h3>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>3</td>
<td>83&#x2013;85</td></tr></table></div>
<div class="section">
<h3><a name="comsampleservletFileUploadServlet.java"></a>com/sample/servlet/FileUploadServlet.java</h3>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#emptycatchblock">EmptyCatchBlock</a></td>
<td>Avoid empty catch blocks</td>
<td>3</td>
<td>85&#x2013;87</td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;                   2020.
          All rights reserved.    
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
